mscorlib 4.0.0.0 System.Object System.IDisposable

The method of a object returns the unmanaged blocks of memory for working with views of memory-mapped files.

Provides random access to unmanaged blocks of memory from managed code.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specified buffer, offset, and capacity.

  The buffer to contain the accessor.
  The byte at which to start the accessor.
  The size, in bytes, of memory to allocate.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specified buffer, offset, capacity, and access right.

  The buffer to contain the accessor.
  The byte at which to start the accessor.
  The size, in bytes, of memory to allocate.
  The type of access allowed to the memory. The default is .
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Determines whether the accessor is readable.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Determines whether the accessory is writable.

- Property
  4.0.0.0
  System.Int64 To be added. To be added.

  Gets the capacity of the accessor.

- Method
  4.0.0.0
  System.Void To be added.

  Releases all resources used by the .

- Method
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  4.0.0.0
  System.Void `` `` `` ``

  This method is called by the constructors for this class.

  Sets the initial values for the accessor.

  The buffer to contain the accessor. The byte at which to start the accessor. The size, in bytes, of memory to allocate. The type of access allowed to the memory. The default is .
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Determines whether the accessor is currently open by a process.

- Method
  4.0.0.0
  System.Void DefaultConstructorConstraint NotNullableValueTypeConstraint System.ValueType `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 DefaultConstructorConstraint NotNullableValueTypeConstraint System.ValueType `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Reads a Boolean value from the accessor.

  true or false.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.Byte `` To be added.

  Reads a byte value from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.Char `` To be added.

  Reads a character from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.Decimal `` To be added.

  Reads a decimal value from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.Double `` To be added.

  Reads a double-precision floating-point value from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.Int16 `` To be added.

  Reads a 16-bit integer from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Reads a 32-bit integer from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.Int64 `` To be added.

  Reads a 64-bit integer from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.CLSCompliant(false)
  System.SByte `` To be added.

  Reads an 8-bit signed integer from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.Single `` To be added.

  Reads a single-precision floating-point value from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt16 `` To be added.

  Reads an unsigned 16-bit integer from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt32 `` To be added.

  Reads an unsigned 32-bit integer from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.CLSCompliant(false)
  System.UInt64 `` To be added.

  Reads an unsigned 64-bit integer from the accessor.

  The value that was read.

  The number of bytes into the accessor at which to begin reading.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a Boolean value into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a byte value into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a character into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a decimal value into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a Double value into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a 16-bit integer into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a 32-bit integer into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a 64-bit integer into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` `` To be added.

  Writes an 8-bit integer into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes a Single into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` `` To be added.

  Writes an unsigned 16-bit integer into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` `` To be added.

  Writes an unsigned 32-bit integer into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` `` To be added.

  Writes an unsigned 64-bit integer into the accessor.

  The number of bytes into the accessor at which to begin writing. The value to write.
- Method
  4.0.0.0
  System.Void DefaultConstructorConstraint NotNullableValueTypeConstraint System.ValueType `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void DefaultConstructorConstraint NotNullableValueTypeConstraint System.ValueType `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.